#
#  Bootstrap Makefile
#  (C) Copyright 2022
#  John Ryland
#

all: release

../../../.modules/GenericMake/Generic.mak:
	@echo "Fetching GenericMake"
	@git clone https://github.com/JohnRyland/GenericMake.git ../../../.modules/GenericMake

-include ../../../.modules/GenericMake/Generic.mak


# Post build step to copy the plugin to the real plugin directory
done: copy_to_dest

# This does the remove first and then copy so the hot-reload functionality can work
copy_to_dest: $(TARGET_BASE).so done
	rm ../../../$<
	cp $< ../../../$<

.PHONY: copy_to_dest
